CC      = i586-mingw32msvc-gcc
STRIP   = i586-mingw32msvc-strip
LD      = i586-mingw32msvc-ld
AS      = i586-mingw32msvc-as
AR      = i586-mingw32msvc-ar
RANLIB  = i586-mingw32msvc-ranlib

LIBS = -lole32
INCLUDE = -I/usr/include/wine/windows
CFLAGS = -Wall -mms-bitfields $(INCLUDE)

all: srcfilter.exe

srcfilter.exe: srcfilter.o
	$(CC) -o $@ $< $(LIBS)
	$(STRIP) $@

clean:
	rm -f *.o srcfilter.exe

.c.o:
	$(CC) $(CFLAGS) $(INC) -c -o $@ $<

